options:
  openstack-origin:
    default: distro
    type: string
    description: |
      Repository from which to install.  May be one of the following:
      distro (default), ppa:somecustom/ppa, a deb url sources entry,
      or a supported Cloud Archive release pocket.

      Supported Cloud Archive sources include: cloud:precise-folsom,
      cloud:precise-folsom/updates, cloud:precise-folsom/staging,
      cloud:precise-folsom/proposed.

      Note that updating this setting to a source that is known to
      provide a later version of OpenStack will trigger a software
      upgrade.
  database-user:
    default: glance
    type: string
    description: Database username
  database:
    default: glance
    type: string
    description: Glance database name.
  api-config-flags:
    type: string
    default:
    description: |
      Comma-separated list of key=value pairs to be added to glance-api.conf
      where 'value' may itself be a comma-separated list of values to be
      assigned to the 'key'.
  registry-config-flags:
    type: string
    default:
    description: |
      Comma-separated list of key=value pairs to be added to glance-registry.conf
      where 'value' may itself be a comma-separated list of values to be
      assigned to the 'key'.
  region:
    default: RegionOne
    type: string
    description: OpenStack Region
  ceph-osd-replication-count:
    default: 3
    type: int
    description: |
      This value dictates the number of replicas ceph must make of any
      object it stores within the images rbd pool. Of course, this only
      applies if using Ceph as a backend store. Note that once the images
      rbd pool has been created, changing this value will not have any
      effect (although it can be changed in ceph by manually configuring
      your ceph cluster).
  use-syslog:
    type: boolean
    default: False
    description: |
      If set to True, supporting services will log to syslog.
  debug:
    default: False
    type: boolean
    description: Enable debug logging
  verbose:
    default: False
    type: boolean
    description: Enable verbose logging
  # HA configuration settings
  vip:
    type: string
    default:
    description: |
      Virtual IP(s) to use to front API services in HA configuration.
      .
      If multiple networks are being used, a VIP should be provided for each
      network, separated by spaces.
  ha-bindiface:
    type: string
    default: eth0
    description: |
      Default network interface on which HA cluster will bind to communication
      with the other members of the HA Cluster.
  ha-mcastport:
    type: int
    default: 5402
    description: |
      Default multicast port number that will be used to communicate between
      HA Cluster nodes.
  haproxy-server-timeout:
    type: int
    default:
    description: |
       Server timeout configuration in ms for haproxy, used in HA configurations.
       If not provided, default value of 30000ms is used.
  haproxy-client-timeout:
    type: int
    default:
    description: |
       Client timeout configuration in ms for haproxy, used in HA configurations.
       If not provided, default value of 30000ms is used.
  ssl_cert:
    type: string
    default:
    description: |
      SSL certificate to install and use for API ports.  Setting this value
      and ssl_key will enable reverse proxying, point Glance's entry in the
      Keystone catalog to use https, and override any certficiate and key
      issued by Keystone (if it is configured to do so).
  ssl_key:
    type: string
    default:
    description: SSL key to use with certificate specified as ssl_cert.
  ssl_ca:
    type: string
    default:
    description: |
      SSL CA to use with the certificate and key provided - this is only
      required if you are providing a privately signed ssl_cert and ssl_key.
  rabbit-user:
    default: glance
    type: string
    description: Username to request access on rabbitmq-server.
  rabbit-vhost:
    default: openstack
    type: string
    description: RabbitMQ virtual host to request access on rabbitmq-server.
  # Network configuration options
  # by default all access is over 'private-address'
  os-admin-network:
    type: string
    default:
    description: |
      The IP address and netmask of the OpenStack Admin network (e.g.,
      192.168.0.0/24)
      .
      This network will be used for admin endpoints.
  os-internal-network:
    type: string
    default:
    description: |
      The IP address and netmask of the OpenStack Internal network (e.g.,
      192.168.0.0/24)
      .
      This network will be used for internal endpoints.
  os-public-network:
    type: string
    default:
    description: |
      The IP address and netmask of the OpenStack Public network (e.g.,
      192.168.0.0/24)
      .
      This network will be used for public endpoints.
  prefer-ipv6:
    type: boolean
    default: False
    description: |
      If True enables IPv6 support. The charm will expect network interfaces
      to be configured with an IPv6 address. If set to False (default) IPv4
      is expected.
      .
      NOTE: these charms do not currently support IPv6 privacy extension. In
      order for this charm to function correctly, the privacy extension must be
      disabled and a non-temporary address must be configured/available on
      your network interface.
  worker-multiplier:
    type: int
    default: 2
    description: |
      The CPU core multiplier to use when configuring worker processes for
      Glance.  By default, the number of workers for each daemon is set to
      twice the number of CPU cores a service unit has.
